YPSERV(8)

NAME
ypserv - YP server daemon

SYNOPSIS
[-dl]

DESCRIPTION
ypserv is a fundamental part of the network information system called YP. This server provides information from YP maps to the YP clients on the network.

A YP map is stored on the server as a db(3) database. A number of YP maps is grouped together in a domain. ypserv determines the domains it serves by looking for a directory with the domain name in /var/yp.

In an effort to improve the security of YP (which has, historically, not been very good), this ypserv has support for libwrap-based access control. See hosts_access(5) for more information. The daemon used for access control is the name which ypserv was invoked as (typically “ypserv” ). If a host is not allowed to query this YP server, ypserv will return the YP result code YP_NODOM.

The process pid of the ypserv process can be found in the file /var/run/ypserv.pid.

The options are as follows:

-d  Use internet Domain Name System. If a query to map hosts.byname or hosts.byaddr fails, make a DNS query and return the result if successful.

-f  Run in the foreground.

-l  Enable logging of all requests.

All messages are sent to the system log with the facility LOG_DAEMON. Error messages have the priority LOG_ERR. Refused requests are logged with the priority LOG_WARNING. All other messages are logged with the priority LOG_INFO.

FILES
/var/run/ypserv.pid

SEE ALSO
hosts_access(5), syslog(3), syslogd(8), yp(8), ypbind(8), ypinit(8).

AUTHOR
This implementation of ypserv was originally written by Mats O Jansson <moj@stacken.kth.se>. The access control code was later re-written from scratch by Jason R. Thorpe <thorpej@NetBSD.ORG>.